Bug 44 - Single flac file with embedded cuesheet sometimes is missing the first few sectors
Summary: Single flac file with embedded cuesheet sometimes is missing the first few se...
Status: RESOLVED FIXED
Alias: None
Product: abcde
Classification: Unclassified
Component: Ripping (show other bugs)
Version: unspecified
Hardware: All Linux
: Normal normal
Assignee: Steve McIntyre
URL:
Depends on:
Blocks:
 
Reported: 2016-10-04 15:31 BST by mk
Modified: 2017-01-14 16:50 GMT (History)
1 user (show)

See Also:


Attachments
patch (938 bytes, patch)
2016-10-04 15:31 BST, mk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mk 2016-10-04 15:31:43 BST
Created attachment 34 [details]
patch

There are CDs whose first track starts at sector 0. But there are also CDs whose first track does not start at sector 0. For example there are CDs whose first track starts at sector 32. This feature is called pregap.

When creating a single flac file with an embedded cuesheet, cdparanoia starts to rip from the first track. This causes a problem with those CDs whose first track does not start at sector 0. The flac file is missing the first 32 sectors.

Two problems occur:

1) Because of the missing sectors, the flac file has a different disc ID than the CD. This means that the musicbrainz query will fail when the flac file is used as a source for creating other formats like mp3 or vorbis.

2) When playing the flac file, at the end of each track one can hear approximately half a second of the beginning of the next track. The audio does not exactly match the cuesheet because of the missing 32 sectors.


Solution:

The solution to this problem is to tell cdparanoia to always start to rip from sector 0.

The patch has been testet with both kinds of CDs (first track starting at sector 0 and 32).
Comment 1 Steve McIntyre 2017-01-12 15:53:41 GMT
Patch applied in git and will be in the next release shortly.

Thanks for your contribution!
Comment 2 Steve McIntyre 2017-01-14 16:50:55 GMT
Released in 2.8

Thanks!